
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

import java.util.*;



public class sandwich extends MensaEssen {
 Brot b = new Brot ();
 Kaese k = new Kaese();
 Salat s =  new Salat();

 sandwich() {
	System.out.println("Sandwich");
 }

   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

 static public void main(String[] args) {
   new sandwich();
    pause();
  }
}


class Speisen {
 public Speisen() {
	System.out.println("Speisen");
 }
}

class Brot {
 public Brot() {
	System.out.println("Brot");
 }
}
class Kaese {
 public Kaese() {
	System.out.println("Kaese");
 }
}
class Salat {
 public Salat() {
	System.out.println("Salat");
 }
}
class Mittagessen extends Speisen {
 public Mittagessen() {
	System.out.println("Mittagessen");
 }
}
class MensaEssen extends Mittagessen {
 public MensaEssen() {
	System.out.println("MensaEssen");
 }
}

